#include "onyx/application.h"
#include "onyx/sys/sys_status.h"

#include "MyWidget.h"

class MyApplication : public onyx::Application {
  public:
    MyApplication() : widget_(NULL) {};

    virtual ~MyApplication() {
        delete widget_;
    };

    virtual int exec();

  private:
    MyWidget* widget_;
};
